Bug 1467965 - [DOCS] Elasticsearch monitoring/management UI is required [NEEDINFO]
[DOCS] Elasticsearch monitoring/management UI is required
Status: CLOSED NOTABUG
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.7.0
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Brandi
Anping Li
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-05 12:07 EDT by Rich Megginson
Modified: 2018-05-08 20:36 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-22 13:33:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jcantril: needinfo? (tkatarki)


Attachments (Terms of Use)

  None (edit)
Description Rich Megginson 2017-07-05 12:07:46 EDT
Description of problem:
There is no easy way for admins to monitor and manage Elasticsearch.  Kopf integration is required.  We must have some documented way for admins to download and install Kopf in order to manage and monitor Elasticsearch.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 5 Josef Karasek 2018-02-16 03:57:16 EST
We don't officially support Kopf, which is why we decided to provide the installation instructions in a blog post and readme file attached to the source code.

https://blog.openshift.com/managing-elasticsearch-with-kopf-in-openshift-origin-3-6/
https://github.com/openshift/origin-aggregated-logging/tree/master/hack/kopf
Comment 6 Jeff Cantrill 2018-02-16 10:09:16 EST
Tushar,

Maybe this bz should be come an RFE to productize kopf for the 2.4.4 line of ES

Note You need to log in before you can comment on or make changes to this bug.